Vraag Samba 3.6 en Samba4


Ik heb Ubuntu 12.10 en samba 3.6 (de versie van samba die standaard is geïnstalleerd voor Ubuntu 12.10) geïnstalleerd. Alles werkt goed. Ik heb toegang tot gedeelde mappen en gedeelde printers van Windows-pc's.

Ik lees dat Samba4 toegang geeft tot en zich aanmeldt bij ActiveDirectory van Windows Server (meer vloeiende toegang die Samba 3.6), dus ik wil Samba4 installeren.

Kan ik samba3.6 vervangen door samba4? OF Kan ik samba4 naast samba3.6 installeren?

Samba4 (SAMBA) is de volgende versie van Samba 3.6 (SMB) of zijn verschillende pakketten en services?

Samba4 biedt dezelfde functionaliteit die Samba 3.6 plus alle functionaliteit voor toegang tot en gebruik van ActiveDirectory biedt? Samba3.6 biedt toegang tot ActiveDirectory?

Ik besloot om samba4 te testen en ik probeerde samba 3.6 te verwijderen. Alles was in orde totdat ik probeerde libwclient (of libwclient0) te verwijderen. Als ik het markeer om te worden verwijderd in Synaptic, krijg ik een melding die nodig is om kde-runtime, mplayer, k3b, gecko, gnome mplayer, lubuntu-desktop, enz. Enz. Te verwijderen. Dus ik heb dit niet verwijderd en ik heb alles opnieuw geïnstalleerd van samba3.6

Wat gebeurt er als ik samba3.6 volledig verwijder (libwclient (of libwclient0)), wat gebeurt er met deze software (kde-runtime, mplayer, k3b, gecko, gnome mplayer, lubuntu-desktop, enz.)

Kan ik samba4 installeren en dezelfde functionaliteit krijgen die samba3.6 (toegang tot gedeelde mappen en printers van Windows) plus ActiveDirectory heeft en al die software opnieuw installeer (kde-runtime, mplayer, k3b, gecko, gnome mplayer, lubuntu-desktop, enz. , enz.) en deze software zal met samba4 in plaats van samba3.6?

(Sorry voor mijn Engels)

Bedankt, Alejandro


5
2017-12-13 19:00


oorsprong




antwoorden:


Op dit moment zijn Samba 3 en Samba 4 meestal complementair. Samba 3 is een volwassen bestandsserver, enz., En een Active Directory-domein lid. Samba 4 is de eerste versie van Samba die kan fungeren als een Active Directory-domein controleur. Wil je gewoon bestanden delen? Installeer Samba 3. Wil je een DC draaien? Installeer Samba 4.

Ref: de recente release-aankondiging van Samba 4.0: https://lists.samba.org/archive/samba-technical/2012-December/089397.html

Ref: https://wiki.samba.org/index.php/Samba_AD_DC_HOWTO


6
2017-12-13 19:25



Samba 3 en Samba 4 codebases werden enige tijd geleden stroomopwaarts samengevoegd. Onlangs zijn de twee versies ook samengevoegd in Debian-pakketten. In onstabiel is er nu een single samba bronpakket met versienummer groter dan 4. De binaire bestanden bevatten het beste van Samba 3 en Samba 4. - jdthood
In de nieuwste stabiele versie beschikbaar van ubuntu (13.10) is deze integratie van samba 3 en 4 beschikbaar? Nu heb ik ubuntu 12.10 maar binnenkort maak ik een schijfkopie en zal ik een update doen van 12.10 tot 13.10 Wat denk je dat jdthood is? Krijg ik problemen met die upgrade van ubuntu 12.10 naar 13.10? omdat ik een aantal speciale functies heb: partitioneren met Windows 7, schijfcodering met truecrypt-gegevens (niet het ubuntu-schijfsysteem), sommige programma's die buiten het ubuntu-softwarecentrum zijn geïnstalleerd, enz. - Alejandro Bernardico
De samengevoegde samba-pakketten zijn nog niet in Ubuntu Saucy opgenomen. Wat uw voorgestelde upgrade betreft, ik weet niet wat de connectie is tussen deze en de vraag die hier wordt gesteld. Ik stel voor dat je een vraag stelt over je specifieke geval op Ubuntu-fora. - jdthood